fldefs_attrvar.h File Reference

This file contains all #defines for actual usage. More...

Go to the source code of this file.

## Macros

#define | FLEXT_ATTRSET_(VAR, TP)
| Declare an implicit attribute set function. More...
#define | FLEXT_ATTRGET_(VAR, TP)
| Declare an implicit attribute get function. More...
#define | FLEXT_ATTRSET_F(VAR)
| Declare an implicit set function for a float attribute. More...
#define | FLEXT_ATTRSET_I(VAR)
| Declare an implicit set function for an integer attribute. More...
#define | FLEXT_ATTRSET_S(VAR)
| Declare an implicit set function for a symbol attribute. More...
#define | FLEXT_ATTRSET_B(VAR)
| Declare an implicit set function for a boolean attribute. More...
#define | FLEXT_ATTRSET_E(VAR, TP)
| Declare an implicit set function for an enum attribute. More...
#define | FLEXT_ATTRSET_V(VAR)
| Declare an implicit set function for a variable list attribute. More...
#define | FLEXT_ATTRGET_F(VAR)
| Declare an implicit get function for a float attribute. More...
#define | FLEXT_ATTRGET_I(VAR)
| Declare an implicit get function for an integer attribute. More...
#define | FLEXT_ATTRGET_S(VAR)
| Declare an implicit get function for a symbol attribute. More...
#define | FLEXT_ATTRGET_B(VAR)
| Declare an implicit get function for a boolean attribute. More...
#define | FLEXT_ATTRGET_E(VAR, TP)
| Declare an implicit get function for an enum attribute. More...
#define | FLEXT_ATTRGET_V(VAR)
| Declare an implicit get function for a variable list attribute. More...
#define | FLEXT_ATTRVAR_F(VAR)
| Declare both implicit get and set functions for a float attribute. More...
#define | FLEXT_ATTRVAR_I(VAR)
| Declare both implicit get and set functions for an integer attribute. More...
#define | FLEXT_ATTRVAR_S(VAR)
| Declare both implicit get and set functions for a symbol attribute. More...
#define | FLEXT_ATTRVAR_B(VAR)
| Declare both implicit get and set functions for a boolean attribute. More...
#define | FLEXT_ATTRVAR_E(VAR, TP)
| Declare both implicit get and set functions for an enum attribute. More...
#define | FLEXT_ATTRVAR_V(VAR)
| Declare both implicit get and set functions for a variable list attribute. More...

## Detailed Description

This file contains all #defines for actual usage.

## Macro Definition Documentation

## FLEXT_ATTRGET_

#define FLEXT_ATTRGET_ | ( |  | VAR,
|  |  | TP
| ) |  |

Value:
static bool FLEXT_GET_PRE(VAR)(flext_base *c,TP &arg) \
{ arg = (TP)FLEXT_CAST<thisType *>(c)->VAR; return true; }
flext_base
Definition: flclass.h:60
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Declare an implicit attribute get function.

## FLEXT_ATTRSET_

#define FLEXT_ATTRSET_ | ( |  | VAR,
|  |  | TP
| ) |  |

Value:
static bool FLEXT_SET_PRE(VAR)(flext_base *c,TP &arg) \
{ FLEXT_CAST<thisType *>(c)->VAR = arg; return true; }
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition: flbase.h:339

Declare an implicit attribute set function.